VULKAN_HPP_NAMESPACE::FlagTraits< PipelineCreateFlagBits > Struct Reference

`#include <vulkan.hpp>`

## Public Types

enum | { allFlags = VkFlags(PipelineCreateFlagBits::eDisableOptimization) | VkFlags(PipelineCreateFlagBits::eAllowDerivatives) | VkFlags(PipelineCreateFlagBits::eDerivative) | VkFlags(PipelineCreateFlagBits::eViewIndexFromDeviceIndex) | VkFlags(PipelineCreateFlagBits::eDispatchBase) | VkFlags(PipelineCreateFlagBits::eDeferCompileNV) }

## Detailed Description

Definition at line 23651 of file vulkan.hpp.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
allFlags |

Definition at line 23653 of file vulkan.hpp.

{
allFlags = VkFlags(PipelineCreateFlagBits::eDisableOptimization) | VkFlags(PipelineCreateFlagBits::eAllowDerivatives) | VkFlags(PipelineCreateFlagBits::eDerivative) | VkFlags(PipelineCreateFlagBits::eViewIndexFromDeviceIndex) | VkFlags(PipelineCreateFlagBits::eDispatchBase) | VkFlags(PipelineCreateFlagBits::eDeferCompileNV)
};

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PipelineCreateFlagBits::eDispatchBase
@ eDispatchBase
VULKAN_HPP_NAMESPACE::PipelineCreateFlagBits::eDisableOptimization
@ eDisableOptimization
VkFlags
uint32_t VkFlags
Definition: vulkan_core.h:64
VULKAN_HPP_NAMESPACE::PipelineCreateFlagBits::eViewIndexFromDeviceIndex
@ eViewIndexFromDeviceIndex
VULKAN_HPP_NAMESPACE::FlagTraits< PipelineCreateFlagBits >::allFlags
@ allFlags
Definition: vulkan.hpp:23655
VULKAN_HPP_NAMESPACE::PipelineCreateFlagBits::eDerivative
@ eDerivative
VULKAN_HPP_NAMESPACE::PipelineCreateFlagBits::eDeferCompileNV
@ eDeferCompileNV
VULKAN_HPP_NAMESPACE::PipelineCreateFlagBits::eAllowDerivatives
@ eAllowDerivatives